<template>
  <div class="g-filter-bar">
    <div class="g-filter-slot">
      <slot name="filter" />
    </div>
    <div class="button-slot">
      <slot name="buttons" />
    </div>
  </div>
</template>

<script>

export default {
  name: "GFilterBar",
  mounted() {
    console.warn("GFilterBar is deprecated");
  }
};
</script>

<style lang="scss" scoped>

  .g-filter-bar {
    display: flex;
    flex-wrap: nowrap;
    
    .g-filter-slot {
      display: flex;
      flex-grow: 2;
      flex-wrap: wrap;
      align-items: flex-end;
      margin: -5px;

      :deep(.filter-item) {
        margin: 5px;

        .filter-item-title {
          font-size: 0.8rem;
          margin-bottom: 2px;
          color: rgba(0, 0, 0, 0.7);
        }
      }
    }

    .button-slot {
      display: flex;
      justify-content: flex-end;
      align-items: flex-start;
      flex-grow: 1;
      padding: 5px;
    }
  }

</style>